Debian Bug report logs - #490440
Change default syslog daemon to rsyslog in time for lenny

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jonas Meurer <jonas@freesources.org>

Date: Sat, 12 Jul 2008 10:42:05 UTC

Severity: important

Tags: lenny

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Change default syslog daemon to rsyslog in time for lenny
Date: Sat, 12 Jul 2008 12:41:00 +0200
Package: ftp.debian.org
Severity: important
Tags: lenny, override

Hello,

It has been discussed to change the default syslog daemon for lenny.
This discussion took place both on debian-devel [1] and debian-release
[2],[3]. syslog-ng, msyslog and rsyslog all were mentioned as possible
alternatives for sysklogd, but in the end most people voted for
rsyslog, see for example [4] and [5].

Additionally, Debian Edu already switched to rsyslog for their Lenny
based version with success [6].

At least one lenny release manager mentioned that he doesn't object
against the change and that it's not to late for lenny either yet
[7],[8].

So if you don't have any objections, please invert priorities of
rsyslog and sysklogd+klogd in your overrides.

greetings,
 jonas

[1] http://lists.debian.org/debian-devel/2008/01/msg01002.html
[2] http://lists.debian.org/debian-release/2008/04/msg00023.html
[3] http://lists.debian.org/debian-release/2008/07/msg00117.html
[4] http://lists.debian.org/debian-devel/2008/01/msg01005.html
[5] http://lists.debian.org/debian-devel/2008/01/msg01061.html
[6] http://lists.debian.org/debian-release/2008/07/msg00170.html
[7] http://lists.debian.org/debian-release/2008/07/msg00162.html
[8] http://lists.debian.org/debian-release/2008/07/msg00172.html

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-1-amd64-resivo (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 490440@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Jonas Meurer <jonas@freesources.org>
Cc: 490440@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sat, 12 Jul 2008 22:17:36 +0200
[Message part 1 (text/plain, inline)]
On 11444 March 1977, Jonas Meurer wrote:

> At least one lenny release manager mentioned that he doesn't object
> against the change and that it's not to late for lenny either yet
> [7],[8].

Those two links clearly say "Its better to not have force involved" and
let the maintainers agree on it. Why do you ignore that and try to force
it now, not giving the maintainers any time to act on this?

-- 
bye, Joerg
<elmo> if klecker.d.o died, I swear to god, I'm going to migrate to gentoo.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #15 received at 490440@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: 490440@bugs.debian.org, debian-release@lists.debian.org
Cc: Joerg Jaspert <joerg@debian.org>
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sun, 13 Jul 2008 00:56:11 +0200
On 12/07/2008 Joerg Jaspert wrote:
> On 11444 March 1977, Jonas Meurer wrote:
> 
> > At least one lenny release manager mentioned that he doesn't object
> > against the change and that it's not to late for lenny either yet
> > [7],[8].
> 
> Those two links clearly say "Its better to not have force involved" and
> let the maintainers agree on it. Why do you ignore that and try to force
> it now, not giving the maintainers any time to act on this?

Joey Schulze never contributed to the discussion at any time, and
Michael Biebl stated several times that he is in favour of changing the
default syslog daemon to rsyslog. see for example [1]

I just wanted to push the process as I feared that it might not happen
in time for lenny. Sorry if that 
greetings,
 jonas

[1] http://lists.debian.org/debian-devel/2008/01/msg01004.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-release@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #20 received at 490440@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-release@zugschlus.de>
To: 490440@bugs.debian.org, debian-release@lists.debian.org, Joerg Jaspert <joerg@debian.org>
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sun, 13 Jul 2008 09:55:16 +0200
On Sun, Jul 13, 2008 at 12:56:11AM +0200, Jonas Meurer wrote:
> On 12/07/2008 Joerg Jaspert wrote:
> > Those two links clearly say "Its better to not have force involved" and
> > let the maintainers agree on it. Why do you ignore that and try to force
> > it now, not giving the maintainers any time to act on this?
> 
> Joey Schulze never contributed to the discussion at any time

Judging from the degree how good sysklogd is "maintained", if
sysklogd's Owner (I don't dare to say "maintainer" here for a reason)
needs to consent, we'll have sysklogd as default syslogd until hell
freezes over.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #25 received at 490440@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Marc Haber <mh+debian-release@zugschlus.de>
Cc: 490440@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sun, 13 Jul 2008 10:39:14 +0200
On 11445 March 1977, Marc Haber wrote:
> On Sun, Jul 13, 2008 at 12:56:11AM +0200, Jonas Meurer wrote:
>> On 12/07/2008 Joerg Jaspert wrote:
>> > Those two links clearly say "Its better to not have force involved" and
>> > let the maintainers agree on it. Why do you ignore that and try to force
>> > it now, not giving the maintainers any time to act on this?
>> Joey Schulze never contributed to the discussion at any time
> Judging from the degree how good sysklogd is "maintained", if
> sysklogd's Owner (I don't dare to say "maintainer" here for a reason)
> needs to consent, we'll have sysklogd as default syslogd until hell
> freezes over.

The discussion just raised again on -release. Joey got CCed in one or
two mails now. Pushing with the bug on the same day is too fast. Instead
I like the proposal to wait until Tuesday and then take action.

And no, I don't need Joeys OK to do such changes, I just dislike the
speed that was used here. Depending on what I see (or not) on the
lists/in this bug, I do the change on Tuesday. (I am in favor of it,
even if i would have much preferred syslog-ng, but basically anything is
better than sysklogd nowadays).

-- 
bye, Joerg
<maxx> Aqua mach mal man brain....
<Aquariophile> maxx: schon probiert das gibts ned




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Message #28 received at 490440@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Joerg Jaspert <joerg@debian.org>, 490440@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sun, 13 Jul 2008 10:49:33 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 13, 2008 at 10:39:14AM +0200, Joerg Jaspert wrote:
> The discussion just raised again on -release. Joey got CCed in one or
> two mails now. Pushing with the bug on the same day is too fast. Instead
> I like the proposal to wait until Tuesday and then take action.

He got Cc'ed earlier already.  I just looked and discovered at least one
mail from Apr 05 by Luk on d-release on which he Cc'ed him about this
issue.  I bet there are more, as there were multiple threads raising
the switch already, both on -release and -devel.

(Now of course those other threads probably weren't cited.)

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                             Debian Developer
: :' :  http://philkern.de                       Debian Release Assistant
`. `'   xmpp:phil@0x539.de
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-release@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #33 received at 490440@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-release@zugschlus.de>
To: Philipp Kern <pkern@debian.org>
Cc: Joerg Jaspert <joerg@debian.org>, 490440@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sun, 13 Jul 2008 10:59:06 +0200
On Sun, Jul 13, 2008 at 10:49:33AM +0200, Philipp Kern wrote:
> On Sun, Jul 13, 2008 at 10:39:14AM +0200, Joerg Jaspert wrote:
> > The discussion just raised again on -release. Joey got CCed in one or
> > two mails now. Pushing with the bug on the same day is too fast. Instead
> > I like the proposal to wait until Tuesday and then take action.
> 
> He got Cc'ed earlier already.  I just looked and discovered at least one
> mail from Apr 05 by Luk on d-release on which he Cc'ed him about this
> issue.  I bet there are more, as there were multiple threads raising
> the switch already, both on -release and -devel.

Even if, Tuesday would be perfectly fine, even if it were Tuesday a
week later. It's not _that_ urgend, the change just needs to be before
the freeze.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#490440; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #38 received at 490440@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Marc Haber <mh+debian-release@zugschlus.de>
Cc: Philipp Kern <pkern@debian.org>, Joerg Jaspert <joerg@debian.org>, 490440@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#490440: Change default syslog daemon to rsyslog in time for lenny
Date: Sun, 13 Jul 2008 14:01:50 +0200
On 13/07/2008 Marc Haber wrote:
> On Sun, Jul 13, 2008 at 10:49:33AM +0200, Philipp Kern wrote:
> > On Sun, Jul 13, 2008 at 10:39:14AM +0200, Joerg Jaspert wrote:
> > > The discussion just raised again on -release. Joey got CCed in one or
> > > two mails now. Pushing with the bug on the same day is too fast. Instead
> > > I like the proposal to wait until Tuesday and then take action.
> > 
> > He got Cc'ed earlier already.  I just looked and discovered at least one
> > mail from Apr 05 by Luk on d-release on which he Cc'ed him about this
> > issue.  I bet there are more, as there were multiple threads raising
> > the switch already, both on -release and -devel.
> 
> Even if, Tuesday would be perfectly fine, even if it were Tuesday a
> week later. It's not _that_ urgend, the change just needs to be before
> the freeze.

Hey,

Exactly that was my intention, to get it solved before freeze. I'm
really sorry if I was to invasive or just to fast.

greetings,
 jonas




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonas Meurer <jonas@freesources.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 490440-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 490440-close@bugs.debian.org
Subject: Bug#490440: fixed
Date: Tue, 15 Jul 2008 19:27:00 +0000
We believe that the bug you reported is now fixed; the following
changes were made to the overrides...

Concerning package sysklogd...
Operating on the unstable suite
Changed priority from important to extra


Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490440@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Message #44 received at 490440-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 490440-close@bugs.debian.org
Subject: Bug#490440: fixed
Date: Tue, 15 Jul 2008 19:27:09 +0000
We believe that the bug you reported is now fixed; the following
changes were made to the overrides...

Concerning package klogd...
Operating on the unstable suite
Changed priority from important to extra


Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490440@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Message #45 received at 490440-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 490440-close@bugs.debian.org
Subject: Bug#490440: fixed
Date: Tue, 15 Jul 2008 19:27:36 +0000
We believe that the bug you reported is now fixed; the following
changes were made to the overrides...

Concerning package rsyslog...
Operating on the unstable suite
Changed priority from extra to important


Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490440@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Aug 2008 07:31:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:54:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.